#
# Copyright 2021 Pixar
#
# Licensed under the Apache License, Version 2.0 (the "Apache License")
# with the following modification; you may not use this file except in
# compliance with the Apache License and the following modification to it:
# Section 6. Trademarks. is deleted and replaced with:
#
# 6. Trademarks. This License does not grant permission to use the trade
#    names, trademarks, service marks, or product names of the Licensor
#    and its affiliates, except as required to comply with Section 4(c) of
#    the License and to reproduce the content of the NOTICE file.
#
# You may obtain a copy of the Apache License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the Apache License with the above modification is
# distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied. See the Apache License for the specific
# language governing permissions and limitations under the Apache License.
#

from pxr import Tf

def _NoArgs():
    return "_NoArgs result"

def _ReturnInt():
    return 42

def _RepeatStrings(stringList, numRepeats):
    return [s * numRepeats for s in stringList]

def _ConcatWithList(arg1, arg2, *args):
    return str.join(
        " ",
        [str(a) for a in
            [arg1, arg2]
            + list(args)])

def _ConcatWithKwArgs(arg1, arg2, arg3 = "c", arg4 = "d", **kwargs):
    return str.join(
        " ",
        [str(a) for a in
            [arg1, arg2, arg3, arg4]
            + ["%s=%s" % (k, kwargs[k]) for k in sorted(kwargs.keys())]])

def _GetTheeToANonery(arg):
    assert arg is None

_globalVar = 88

def _RaiseException():
    raise Exception("test exception")

def _RaiseTfError():
    Tf.RaiseRuntimeError("test error")
